Bug 200145 - [NEW PORT] devel/py-pytest-timeout: py.test plugin to abort hanging tests
Summary: [NEW PORT] devel/py-pytest-timeout: py.test plugin to abort hanging tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fukang Chen
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-12 08:58 UTC by Fukang Chen
Modified: 2015-05-22 08:09 UTC (History)
2 users (show)

See Also:


Attachments
py-pytest-timeout.shar (1.58 KB, text/plain)
2015-05-12 08:58 UTC, Fukang Chen
no flags Details
py27-pytest-timeout-0.4.log (10.93 KB, text/plain)
2015-05-13 04:25 UTC, Fukang Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fukang Chen freebsd_committer 2015-05-12 08:58:39 UTC
Created attachment 156685 [details]
py-pytest-timeout.shar

py.test plugin to abort hanging tests.

WWW: https://pypi.python.org/pypi/pytest-timeout
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-12 09:28:25 UTC
Submitter is committer, assign. 

Fukang, if you need assistance committing this to the tree, please don't hesitate to create a review in Phabricator and add myself as a reviewer, with python@ also subscribed
Comment 2 Fukang Chen freebsd_committer 2015-05-12 14:14:31 UTC
(In reply to Kubilay Kocak from comment #1)

Hi Kubilay,

Thanks, actually I don't have the ports commit bit...
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-13 00:21:50 UTC
If you have any (src/docs) bit, I am happy to review this on phabricator and approve the change on your behalf.

We can start with adding the relevant category/Makefile change and attaching poudriere testport & portlint QA output

I'm available on IRC (koobs @ efnet/freenode) if you need any assistance
Comment 4 Fukang Chen freebsd_committer 2015-05-13 04:25:55 UTC
Created attachment 156743 [details]
py27-pytest-timeout-0.4.log
Comment 5 Fukang Chen freebsd_committer 2015-05-13 04:30:45 UTC
(In reply to Kubilay Kocak from comment #3)

Okay, great. Thanks.

attached poudriere log

% portlint -AC
looks fine.

I didn't know new port PRs need to attach the build log now...
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-16 01:00:09 UTC
Fukang, can you add this changeset in reviews (phabricator) please?

For details, see: https://wiki.freebsd.org/CodeReview
Comment 7 Fukang Chen freebsd_committer 2015-05-20 15:30:33 UTC
(In reply to Kubilay Kocak from comment #6)

Hi Kubilay,

Thanks for the link. I just submitted https://reviews.freebsd.org/D2600
Please let me know if I missed anything.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-21 02:14:52 UTC
Changes requested
Comment 9 commit-hook freebsd_committer 2015-05-22 07:16:43 UTC
A commit references this bug:

Author: loader
Date: Fri May 22 07:15:58 UTC 2015
New revision: 386987
URL: https://svnweb.freebsd.org/changeset/ports/386987

Log:
  Add new port devel/py-pytest-timeout

  PR:             200145
  Submitted by:   loader@
  Approved by:    koobs@

Changes:
  head/devel/Makefile
  head/devel/py-pytest-timeout/
  head/devel/py-pytest-timeout/Makefile
  head/devel/py-pytest-timeout/distinfo
  head/devel/py-pytest-timeout/pkg-descr